> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ionworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List models for an organization

> List models for an organization with pagination, filtering, and sorting.

Filter parameters support Supabase filter operators, per the field's
declared policy:
- Text fields (name, description, created_by_email): use ``ilike.%value%``
  for partial match
- Date fields: use ``gte.value``, ``lte.value``, etc.
- Date range: use created_at_gt and created_at_lt for between queries



## OpenAPI

````yaml https://api.ionworks.com/openapi.json get /models
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.ionworks.com
    description: Production
security: []
paths:
  /models:
    get:
      summary: List models for an organization
      description: >-
        List models for an organization with pagination, filtering, and sorting.


        Filter parameters support Supabase filter operators, per the field's

        declared policy:

        - Text fields (name, description, created_by_email): use
        ``ilike.%value%``
          for partial match
        - Date fields: use ``gte.value``, ``lte.value``, etc.

        - Date range: use created_at_gt and created_at_lt for between queries
      operationId: list_models_for_organization_endpoint_models_get
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 100
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            title: Offset
            default: 0
        - name: name
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Name
        - name: description
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Description
        - name: created_by_email
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Created By Email
        - name: created_at
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Created At
        - name: created_at_gt
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Created At Gt
        - name: created_at_lt
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Created At Lt
        - name: updated_at
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Updated At
        - name: updated_at_gt
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Updated At Gt
        - name: updated_at_lt
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Updated At Lt
        - name: order_by
          in: query
          required: false
          schema:
            enum:
              - name
              - created_at
              - updated_at
            type: string
            default: created_at
            title: Order By
        - name: order
          in: query
          required: false
          schema:
            enum:
              - asc
              - desc
            type: string
            default: desc
            title: Order
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse_Model_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PaginatedResponse_Model_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/Model'
          type: array
          title: Items
        count:
          type: integer
          title: Count
        total:
          type: integer
          title: Total
      type: object
      required:
        - items
        - count
        - total
      title: PaginatedResponse[Model]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Model:
      properties:
        name:
          type: string
          title: Name
          description: The name of the model.
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: An optional description for the model.
        pybamm_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Pybamm Version
          description: >-
            PyBaMM version used for this model. If not provided, will be read
            from pybamm.__version__.
        chemistry:
          type: string
          enum:
            - lithium_ion
            - lithium_sulfur
            - ecm
            - generic
          title: Chemistry
          description: >-
            Model chemistry kind: 'lithium_ion' (default — assumes pybamm
            lithium-ion conventions), 'lithium_sulfur', 'ecm', or 'generic' (no
            chemistry-specific enrichment).
          default: lithium_ion
        simulation_settings:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Simulation Settings
          description: >-
            Optional persistent simulation kwargs (var_pts / submesh_types /
            spatial_methods / geometry / solver) in the flat canonical form,
            re-applied at simulation time. None uses the model defaults.
        id:
          type: string
          title: Id
          description: The unique identifier for the model.
        user_id:
          type: string
          title: User Id
          description: The ID of the user who created the model.
        organization_id:
          type: string
          title: Organization Id
          description: The ID of the organization this model belongs to.
        created_by_email:
          anyOf:
            - type: string
            - type: 'null'
          title: Created By Email
          description: Email of the user who created the model.
        created_at:
          type: string
          format: date-time
          title: Created At
          description: Timestamp of when the model was created.
        updated_at:
          type: string
          format: date-time
          title: Updated At
          description: Timestamp of when the model was last updated.
        is_custom_model:
          type: boolean
          title: Is Custom Model
          description: Check if this is a custom model (has compressed model data).
          readOnly: true
      type: object
      required:
        - name
        - id
        - user_id
        - organization_id
        - created_at
        - updated_at
        - is_custom_model
      title: Model
      description: Model representing a model as returned by the API (without config).
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````